org.apache.lucene.analysis.standard

## Class UAX29URLEmailTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.standard.UAX29URLEmailTokenizerFactory

-     public class UAX29URLEmailTokenizerFactory
      extends TokenizerFactory

  Factory for `UAX29URLEmailTokenizer`.

       <fieldType name="text_urlemail" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.UAX29URLEmailTokenizerFactory" maxTokenLength="255"/>
         </analyzer>
       </fieldType>

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UAX29URLEmailTokenizerFactory(Map<String,String> args)` Creates a new UAX29URLEmailTokenizerFactory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tokenizer` | `create(AttributeFactory factory)` Creates a TokenStream of the specified input using the given AttributeFactory

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, create, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UAX29URLEmailTokenizerFactory

          public UAX29URLEmailTokenizerFactory(Map<String,String> args)

      Creates a new UAX29URLEmailTokenizerFactory

  - ### Method Detail

    - #### create

          public Tokenizer create(AttributeFactory factory)

      Description copied from class: `TokenizerFactory`
      Creates a TokenStream of the specified input using the given AttributeFactory
      Specified by:
        `create` in class `TokenizerFactory`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.